# class KConfigSkeleton.ItemPathList

###

Table of contents
Modules
kdeui Classes
All Classes

Module | kdeui
Namespace | global
Class | KConfigSkeleton.ItemPathList
Inherits | KConfigSkeleton.ItemStringList

Class for handling a path list preferences item.

### methods

- ItemPathList (_group, _key, reference, defaultValue)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  _group | QString |
  _key | QString |
  reference | QStringList |
  defaultValue | QStringList | QStringList ()

  KConfigSkeletonGenericItem.KConfigSkeletonGenericItem

- readConfig (config)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  config | KConfig |

  KConfigSkeletonItem.readConfig

- writeConfig (config)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  config | KConfig |

  KConfigSkeletonItem.writeConfig